Summary:	Microcode definitions for Intel processors
Summary(pl.UTF-8):	Definicje mikrokodu dla procesorów Intela
Name:		microcode-data-intel
Version:	20250512
Release:	1
License:	INTEL SOFTWARE LICENSE AGREEMENT
Group:		Base
Source0:	https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/archive/microcode-%{version}.tar.gz
# Source0-md5:	617bdac09afe80da9ba8e7326e561e01
BuildRequires:	iucode-tool
Provides:	microcode-data
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode data file for Linux contains the latest microcode
definitions for all Intel processors.

%description -l pl.UTF-8
Te pliki danych mikrokodu dla Linuksa zawierają najnowsze definicje
mikrokodu dla procesorów Intela.

%package initrd
Summary:	Microcode for initrd
Summary(pl.UTF-8):	Mikrokod dla initrd
Group:		Base

%description initrd
Intel microcode for initrd.

%description initrd -l pl.UTF-8
Mikrokod dla procesorów Intel dla initrd.

%prep
%setup -q -n Intel-Linux-Processor-Microcode-Data-Files-microcode-%{version}

%build
%{_sbindir}/iucode_tool intel-ucode*/*-* -tb --write-to=microcode.bin

install -d kernel/x86/microcode
ln microcode.bin kernel/x86/microcode/GenuineIntel.bin
echo kernel/x86/microcode/GenuineIntel.bin | cpio -o -H newc -R 0:0 > intel-ucode.img

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib/firmware,/boot}

cp -a intel-ucode $RPM_BUILD_ROOT/lib/firmware
cp -p intel-ucode.img $RPM_BUILD_ROOT/boot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md releasenote.md security.md
/lib/firmware/intel-ucode

%files initrd
%defattr(644,root,root,755)
%doc README.md releasenote.md security.md
/boot/intel-ucode.img
%changelog
* Tue May 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/microcode-data-intel.git;a=log;h=master

* Tue May 13 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cfd264
- Up to 20250512

* Sun Feb 23 2025 Marcin Krol <hawk@tld-linux.org> 3f2b178
- updated to 20250211

* Sat Dec 07 2024 Marcin Krol <hawk@tld-linux.org> 84be96d
- updated to 20241112

* Sun Aug 18 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 69d7773
- Rel 2; doh, intel changed and reuploaded tarballs without changing release date...

* Wed Aug 14 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 58c50c0
- Up to 20240813

* Wed Mar 13 2024 Jan Palus <atler@pld-linux.org> 91478ed
- up to 20240312

* Wed Nov 15 2023 Jan Palus <atler@pld-linux.org> 19efce8
- up to 20231114

* Tue Aug 08 2023 Jan Palus <atler@pld-linux.org> a73afe5
- up to 20230808

* Fri May 12 2023 Jan Palus <atler@pld-linux.org> 0c33ac3
- up to 20230512

* Wed Feb 15 2023 Jan Palus <atler@pld-linux.org> da5d299
- up to 20230214

* Tue Nov 08 2022 Jan Palus <atler@pld-linux.org> fa01103
- up to 20221108

* Tue Aug 09 2022 Jan Palus <atler@pld-linux.org> 62cba90
- up to 20220809

* Tue May 10 2022 Jan Palus <atler@pld-linux.org> 7bd824d
- up to 20220510

* Wed Apr 20 2022 Jan Palus <atler@pld-linux.org> fad5765
- up to 20220419

* Tue Feb 08 2022 Jan Palus <atler@pld-linux.org> 106fe5a
- up to 20220207

* Tue Jun 08 2021 Jan Palus <atler@pld-linux.org> c4bcc86
- up to 20210608

* Wed Feb 17 2021 Jan Palus <atler@pld-linux.org> c36f492
- up to 20210216

* Wed Nov 18 2020 Jan Palus <atler@pld-linux.org> 6896c70
- up to 20201118

* Thu Nov 12 2020 Jan Palus <atler@pld-linux.org> d0bad5f
- up to 20201112

* Wed Nov 11 2020 Jan Palus <atler@pld-linux.org> c4da47d
- up to 20201110

